%define _use_internal_dependency_generator 0

Summary: Net-Patricia perl module
Name: perl-Net-Patricia
Version: 1.010
Release: 2gls
License: distributable
Group: Applications/CPAN
Source0: Net-Patricia-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/perl-Net-Patricia-buildroot/
BuildRequires: perl >= 5.6
Requires: perl >= 5.6

%description
This module uses a Patricia Trie data structure to quickly perform IP address prefix matching for applications such as IP subnet, network or routing table lookups.  The data structure is based on a radix tree using a radix of two, so sometimes you see patricia implementations called "radix" as well.  The term "Trie" is derived from the word "retrieval" but is pronounced like "try".  Patricia stands for "Practical Algorithm to Retrieve Information Coded as Alphanumeric", and was first suggested for routing table lookups by Van Jacobsen.  Patricia Trie performance characteristics are well-known as it has been employed for routing table lookups within the BSD kernel since the 4.3 Reno release.  

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n Net-Patricia-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > Net-Patricia-%{version}-filelist
if [ "$(cat Net-Patricia-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Net-Patricia-%{version}-filelist
%defattr(-,root,root)

%changelog
* Mon Jul 19 2004 Gabriel Somlo <somlo@acns.colostate.edu>
- no longer forcing noarch build -- we have a .so file which is very much arch !
- generating debug package is turned back on

* Wed Jul 15 2004 Gabriel Somlo <somlo@acns.colostate.edu>
- initial spec file swiped from some other existing FC2 perl-Something.spec
- turn off (unsuccessful) attempt at generating debug package
